/**
 * XActRelationshipEntry2.java
 *
 * File generated from the medication2::XActRelationshipEntry2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActRelationshipEntry2.
 *
 * 
 */

@XmlType(name = "XActRelationshipEntry")
@XmlEnum
@XmlRootElement(name = "XActRelationshipEntry2")
public enum XActRelationshipEntry2 {
	@XmlEnumValue("COMP")
	COMP("COMP"),
	@XmlEnumValue("DRIV")
	DRIV("DRIV");
	
	private final String value;

    XActRelationshipEntry2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActRelationshipEntry2 fromValue(String v) {
        for (XActRelationshipEntry2 c: XActRelationshipEntry2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
